#encoding: UTF-8 
=begin
/***************************************************************************
 *   ©2015-2017 Michael Uplawski <michael.uplawski@uplawski.eu>            *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 3 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
=end
require_relative 'dictionary'
require 'logger'
require 'date'

APPNAME = 'HTML2Index'

# URL and xpath for the definitions.
#
# The expression is added to the URL. Example:
# Taken a dictionary url like
# URL_MY_DICT = "http://my_technical_dictionary.somewhere.com/words/
# the url to search an expression will be
# URL_MY_DICT = "http://my_technical_dictionary.somewhere.com/words/expression
# In other words: Note here the part of the url *before* the expression
# ---
# The xpath must identify any HTML-elements, containing definitions.
#
NAME_DICT1 ||= 'Larousse' 
URL_DICT1 ||= "http://www.larousse.com/fr/dictionnaires/francais/"
XPATH_DICT1 ||= ".//li[@class='DivisionDefinition']"

NAME_DICT2 ||= 'JargonF'
URL_DICT2 ||= "http://jargonf.org/wiki/"
XPATH_DICT2 ||= ".//div[@id='mw-content-text']/*"

# colors which are connected to one dictionary, each
DICT_COLORS ||= ['a000a0', '00a000']

# definitions which cause problems are logged.
PROBLEM_LOG ||= 'html2index_problems.txt'
$log_level = Logger::INFO

# meta-tag for the html-output
GeneratorMeta = "<meta name=\"generator\" content=\"HTML2Index ©2015-#{Date.today.strftime('%Y')} michael.uplawski@uplawski.eu\" />"
